#include <string>

namespace StringUtil {

	enum CODE_PAGE {
		kCodePage_Default = 0,
		kCodePage_ShiftJis = 932,
		kCodePage_WindowsCentralEuropean = 1250,
		kCodePage_WindowsCyrillic = 1251,
		kCodePage_WindowsLatin1 = 1252,
		kCodePage_WindowsGreek = 1253,
		kCodePage_WindowsTurkish = 1254,
	};
	
	int GetDefaultCodePage();
	std::string WideToShiftJis(const std::wstring& wstr);
	std::string WideToCodePageString(const std::wstring& wstr, int codepage);
	std::wstring ShiftJisToWide(const std::string& ansistr);
	std::wstring CodePageStringToWide(const std::string& ansistr, int codepage);
	std::wstring Utf8ToWide(const std::string& utf8str);
	std::string WideToUtf8(const std::wstring& wstr);
	
}

